Subject: Re: test &&-chain lint

From: Jeff King <[email-masked]>
Date: Fri, 20 Mar 2015 13:59:45 -0400

On Fri, Mar 20, 2015 at 10:34:51AM -0700, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > Your case above is actually better spelled as test_expect_code, but
> > there are more complex one-off cases that I solved using a {} block.
> 
> Just for the record, test_expect_code expects only one possible good
> exit status and it does not allow us to say "0 is OK and 1 is also
> OK, everything else is bad", so it is not quite appropriate there.

Oh, sorry, I misread your test as expecting 1, but it is actually
expecting 0 or 1. Yeah, I agree this is the exact sort of case covered
in my patch 11/25 (and there are only 4 instances in the whole test
suite).

-Peff